Subject: Re: Mystery Green Noctuid identified

From: [email-masked] (Maliboo)
Date: 29 Apr 1995 19:58:21 -0400

Charlie Covell writes that a Peterson field guide to western moths just
wont emerge from diapause.  What a shame, as it is very difficult to
identify so many western moths. At the current rate of publication, MONA
won't be finished for another 50 years, if ever.  Fortunately we can use
Covell's eastern guide to identify a few of our western species, and many
more to genus.  We have now amassed a list of 525 species from our
location in the Western Santa Monica Mtns., but it has taken the combined
resources of a pretty good library, a great collection (LACMNH) and the
encyclopedic memories of Leuschner, Powell, Donahue and a few others to
put names on most the little buggers, and we still have a number of UFO's,
especially among the micros.  So make me 32 for a western field guide to
moths, or for a Covell, son of Holland.  Go for it Charlie!
Paul Russell
Paul J. Russell